import { HcApi } from '../../../request/index'

export default {
    //分页查询
    async page(form, msg = true) {
        return HcApi({
            url: '/api/blade-business/entrustinfo/pageDataInfo',
            method: 'get',
            params: form,
        }, msg)
    },
    //删除在测样品
    async sampleRemove(ids, msg = true) {
        return HcApi({
            url: '/api/blade-business/entrustinfo/sample_remove',
            method: 'post',
            params: { ids },
        }, msg)
    },
    //修改
    async update(form, msg = true) {
        return HcApi({
            url: '/api/blade-business/entrustinfo/update',
            method: 'post',
            data: form,
        }, msg)
    },
}
